View Issue Details

IDProjectCategoryView StatusLast Update
0031999Open CASCADEOCCT:Testspublic2021-06-09 16:11
Reporterkgv Assigned Tobugmaster  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version7.5.0 
Target Version7.6.0Fixed in Version7.6.0 
Summary0031999: Tests - request Core Profile on macOS for Ray-Tracing tests
DescriptionRay-Tracing requires OpenGL 3+ which is implemented only in Core Profile on macOS, hence related tests fail on this platform.
TagsNo tags attached.
Test case numberNot required

Relationships

related to 0032425 assignedbugmaster Tests - adjusting test cases for macOS arm64 platforms 

Activities

git

2020-12-15 22:15

administrator   ~0097620

Branch CR31999 has been created by kgv.

SHA-1: 5cb6aa21d5c9a886189c992c3e78223a15c33008


Detailed log of new commits:

Author: kgv
Date: Tue Dec 15 22:15:33 2020 +0300

    0031999: Tests - request Core Profile on macOS for Ray-Tracing tests

git

2020-12-20 18:23

administrator   ~0097814

Branch CR31999 has been updated forcibly by kgv.

SHA-1: b3b27a53008fb50df68c36d9a15a9f6045e512af

kgv

2020-12-23 11:19

developer   ~0097877

Please raise the patch
- OCCT branch: CR31999.

bugmaster

2020-12-26 12:15

administrator   ~0097915

Combination -
OCCT branch : WEEK-52
master SHA - 41046145c4a15f5cedf5f3c5877952ee00d568b4
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : WEEK-52 SHA - 290e5c74e8fef71947cadf90acb8e43c81ed10a1
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17722.770000000193 / 17710.950000000055 [+0.07%]
Products
Total CPU difference: 12416.490000000109 / 12412.520000000126 [+0.03%]
Windows-64-VC14:
OCCT
Total CPU difference: 19321.5625 / 19274.6875 [+0.24%]
Products
Total CPU difference: 13844.421875 / 13853.046875 [-0.06%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2020-12-26 14:53

administrator   ~0097947

Branch CR31999 has been deleted by inv.

SHA-1: b3b27a53008fb50df68c36d9a15a9f6045e512af

Related Changesets

occt: master ba562b2b

2020-12-15 19:15:33

kgv


Committer: bugmaster Details Diff
0031999: Tests - request Core Profile on macOS for Ray-Tracing tests Affected Issues
0031999
mod - samples/tcl/pathtrace_ball.tcl Diff File
mod - samples/tcl/pathtrace_cube.tcl Diff File
mod - samples/tcl/pathtrace_materials.tcl Diff File
mod - samples/tcl/Penrose.tcl Diff File
mod - samples/tcl/raytrace.tcl Diff File
mod - samples/tcl/vis_pbr_spheres.tcl Diff File
mod - tests/bugs/vis/bug27337 Diff File
mod - tests/demo/samples/dimensionspbr Diff File
mod - tests/de_mesh/gltf_read/begin Diff File
mod - tests/de_mesh/gltf_write/begin Diff File
mod - tests/de_mesh/obj_read/begin Diff File
mod - tests/v3d/anim/videorecorder Diff File
mod - tests/v3d/glsl/cubemap_dds Diff File
mod - tests/v3d/glsl/pbr_attenuation Diff File
mod - tests/v3d/glsl/pbr_spheres Diff File
mod - tests/v3d/glsl/pbr_tangent_normal Diff File
mod - tests/v3d/glsl/shading_models Diff File
mod - tests/v3d/glsl/transp1 Diff File
mod - tests/v3d/materials/bug24855 Diff File
mod - tests/v3d/materials/ior Diff File
mod - tests/v3d/materials/pbr1 Diff File
mod - tests/v3d/materials/raytrace1 Diff File
mod - tests/v3d/raytrace/begin Diff File
mod - tests/v3d/raytrace/pbr_spheres Diff File

Issue History

Date Modified Username Field Change
2020-12-15 22:14 kgv New Issue
2020-12-15 22:14 kgv Assigned To => kgv
2020-12-15 22:15 git Note Added: 0097620
2020-12-20 18:23 git Note Added: 0097814
2020-12-23 11:19 kgv Note Added: 0097877
2020-12-23 11:19 kgv Assigned To kgv => bugmaster
2020-12-23 11:19 kgv Status new => resolved
2020-12-23 11:19 kgv Status resolved => reviewed
2020-12-26 12:15 bugmaster Note Added: 0097915
2020-12-26 12:15 bugmaster Status reviewed => tested
2020-12-26 12:20 bugmaster Test case number => Not required
2020-12-26 14:40 bugmaster Changeset attached => occt master ba562b2b
2020-12-26 14:40 bugmaster Status tested => verified
2020-12-26 14:40 bugmaster Resolution open => fixed
2020-12-26 14:53 git Note Added: 0097947
2021-06-09 16:11 kgv Relationship added related to 0032425